bulp

Forum Replies Created

Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • in reply to: Makelangelo 5 with MKS Board v1.4 #23038
    Avatarbulp
    Participant

    It’s easy to take out the black slot for exp1 & 2 for smart display.

    Anyway previous firmware ver 7 can make my StepperMotor 17HS4401 (pair with A4988 red) really fast & stable without jumping or skip move but with latest firmware ver 9 kind of make it skipping move although I like the smooth acceleration it’s won’t draw very well..

    I have to use the slowest speed as possible then my drawing would be perfect with no skipping move or frame.

    Do I need to change for max step calculation etc in the Makelangelo firmware? Or should I using other driver to make it move faster without skip any move?

    View post on imgur.com

    in reply to: Makelangelo 5 with MKS Board v1.4 #23035
    Avatarbulp
    Participant

    There is problem with LCD slot with MKS.. The black slot should be flip side. Maybe this will help.. I don’t try it yet but all this after I’d saw this video..

    in reply to: Makelangelo 5 with MKS Board v1.4 #23033
    Avatarbulp
    Participant

    Thank you Dan for the reply.. Actually I’d just comment every error that appear while compiling the firmware & it’s work..

    But I will try your suggestion later..

    I don’t get it why MKS Gen V1.4 board have different port or slot for RepRapD1scount Smart Controller cable?.. The LCD didn’t show anything but then I’d notice some click or button sound when I try the knob.

    Maybe some flaw in Makelangelo latest firmware for board_ramps?

    Avatarbulp
    Participant

    Hi richyrich140db2000, i do believe that the latest firmware didnt tweak very well for smartcontroller LCD as per firmware before Jun 2018 that really work well with SmartController that have built in SD Card.

    apparently i do get prompt with command that need to enter from smartcontroller.. id try to disable to define has LCD & SD from firmware but still the command appear.

    id just define the type of polargraph & using RAMPS, thats it.. other than the LCD problem im still waiting for Dan to fix it.

    in reply to: Makelangelo 5 with MKS Board v1.4 #23024
    Avatarbulp
    Participant

    Hi Dan, id successfully setup Makelangelo using MKS Board Gen V1.4 using Define BOARD_RAMPS.. but then it wont recognise my RepRapD1scount Smart Controller & stuck at this command

    Logging error: Invalid insert
    BADLINENUM 0

    N0 G90;*43
    BADLINENUM 1

    N1 M06 T0;*107
    N2 G00 F1600 A2000;*34
    N3 M117 Change to black Click to continue;*18
    N4 M300 S60 P250;*45
    N5 M226;*27
    G00 F5000 Z60
    G00 F2000

    id delete / uncommand HAS_LCD & HAS_SD still that command appear.. how to solve this ?

    best regards

    Avatarbulp
    Participant

    im been using Arduino Mega Board with RAMPS 1.4 with cheap or clone Futaba S3003 servo motor since September 2017… its work flawlessly till Jun 2018 as the Futaba stop working randomly after 1 hour or less.. id bought so many Futaba & even upgrade the makelangelo firmware still the new Futaba stop working after 3 hours.. maybe there is some sort of electrical short from Futaba to RAMPS board since there is some glitch or when that servo motor connected to RAMPS the whole system when hang!.. LCD cant display properly etc… it when good after id disconnected that servo motor..

    i did try it using few new Arduino Mega (CHina Clone) & the problems still arise…

    now im trying to use MKS BOARD V1.4 to see if the board really good handling Servo Motor connection (power distribution or PWM etc).

    in reply to: Makelangelo on Raspberry Pi #13925
    Avatarbulp
    Participant

    @Dan

    thank you for the answer… but still i do have the same problem..

    anyway can i have Raspbian Image that had working Makelangelo in it?

    i can buy you beer if i get the image.. 🙂

    in reply to: Makelangelo on Raspberry Pi #13859
    Avatarbulp
    Participant

    Hi all,

    id try to run Makelangelo on Pi 3 just now & i got this error..

    libEGL warning: DRI2: failed to authenticate

    my java version is
    java version “1.8.0_65”
    Java(TM) SE Runtime Environment (build 1.8.0_65-b17)
    Java HotSpot(TM) Client VM (build 25.65-b01, mixed mode)

    any idea why this happened ?

Viewing 8 posts - 1 through 8 (of 8 total)